# SIPSubscribeHandler Class Reference

`#include <handlers.h>`

Inheritance diagram for SIPSubscribeHandler:

List of all members.

## Public Member Functions

| SIPSubscribeHandler (SIPEndPoint &ep, const SIPSubscribe::Params &params)
| ~SIPSubscribeHandler ()
virtual SIPTransaction * | CreateTransaction (OpalTransport &)
virtual void | OnReceivedOK (SIPTransaction &transaction, SIP_PDU &response)
virtual PBoolean | OnReceivedNOTIFY (SIP_PDU &response)
virtual void | OnFailed (SIP_PDU::StatusCodes r)
virtual PBoolean | SendRequest (SIPHandler::State state)
virtual SIP_PDU::Methods | GetMethod ()
virtual PCaselessString | GetEventPackage () const
void | UpdateParameters (const SIPSubscribe::Params &params)

## Constructor & Destructor Documentation

SIPSubscribeHandler::SIPSubscribeHandler | ( | SIPEndPoint & | ep,
|  | const SIPSubscribe::Params & | params |
| ) |  |  |

SIPSubscribeHandler::~SIPSubscribeHandler | ( |  | ) |

## Member Function Documentation

virtual SIPTransaction* SIPSubscribeHandler::CreateTransaction | ( | OpalTransport & |  | ) | `[virtual]`

Implements SIPHandler.

virtual void SIPSubscribeHandler::OnReceivedOK | ( | SIPTransaction & | transaction,
|  | SIP_PDU & | response |
| ) |  |  | `[virtual]`

Reimplemented from SIPHandler.

virtual PBoolean SIPSubscribeHandler::OnReceivedNOTIFY | ( | SIP_PDU & | response | ) | `[virtual]`

Reimplemented from SIPHandler.

virtual void SIPSubscribeHandler::OnFailed | ( | SIP_PDU::StatusCodes | r | ) | `[virtual]`

Reimplemented from SIPHandler.

virtual PBoolean SIPSubscribeHandler::SendRequest | ( | SIPHandler::State | state | ) | `[virtual]`

Reimplemented from SIPHandler.

virtual SIP_PDU::Methods SIPSubscribeHandler::GetMethod | ( |  | ) | `[inline, virtual]`

Implements SIPHandler.

virtual PCaselessString SIPSubscribeHandler::GetEventPackage | ( |  | ) | const`[inline, virtual]`

Reimplemented from SIPHandler.

void SIPSubscribeHandler::UpdateParameters | ( | const SIPSubscribe::Params & | params | ) |

The documentation for this class was generated from the following file:

- handlers.h